#ifndef MEGATEST_H
#define MEGATEST_H

#include "megatest.decl.h"

class main : public Chare {
 private:
  int test_bank_size;
  int test_negate_skip;
  char **tests_to_skip;
  int num_tests_to_skip;
  double test_start_time;
  int next_test_index;
  int next_test_number;
  int acks_expected;
  int acks_received;
  void megatest_next(void);
  int megatest_skip(const char *);
 public:
  static CkChareID handle;

  main(CkArgMsg *);
  main(CkMigrateMessage *m) {}
  void finish(void);
};

static inline void finishTest(void)
{
  CProxy_main mainproxy(main::handle);
  mainproxy.finish();
}

#endif
